import { OnInit, OnDestroy } from '@angular/core';
import { Location } from '@angular/common';
import { BrowserENV } from '../../helper';
import { ListActivatedService } from '../../list/index';
import { RouteCacheController } from '../../router/index';
import { AppController } from './app-controller';
export declare class AppComponent implements OnInit, OnDestroy {
    private document;
    private env;
    private scale;
    private routeCacheController;
    private location;
    private appController;
    private listActivatedService;
    /**
     * 根据不同的屏幕宽度，设置 html 元素的 font-size
     * 主要用于 rem 布局，默认为 10
     */
    baseFontSize: number;
    /**
     * 屏幕 X 轴默认逻辑像素
     */
    screenWidth: number;
    /**
     * angular 路由的 name
     */
    name: string;
    get isIphone(): boolean;
    get isIphoneX(): boolean;
    get isAndroid(): boolean;
    get isDefault(): boolean;
    showMask: boolean;
    private htmlElement;
    private get defaultDocWidth();
    private subs;
    constructor(document: any, env: BrowserENV, scale: number, routeCacheController: RouteCacheController, location: Location, appController: AppController, listActivatedService: ListActivatedService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    resize(): void;
    documentTouchStart(): void;
}
