import { AfterContentInit, ElementRef, EventEmitter, OnDestroy, QueryList } from '@angular/core';
import { CollectionItemComponent } from '../collection-item/collection-item.component';
import { PanEvent } from '../../touch/index';
export declare class CollectionComponent implements AfterContentInit, OnDestroy {
    private scale;
    private elementRef;
    items: QueryList<CollectionItemComponent>;
    /**
     * 拖动事件 $event 为当前拖动的进度
     */
    uiSliding: EventEmitter<number>;
    /**
     * 当完成整屏切换时，触发事件， $event 为当前拖动的进度
     */
    uiSlidingFinish: EventEmitter<number>;
    /**
     * 是否为垂直翻页，默认为 false，即为水平翻页
     */
    vertical: boolean;
    /**
     * 是否填满整个容器，默认不填充，如设置为 true，那么会填充满第一个有定位的父级元素
     */
    fill: boolean;
    /**
     * 显示第几屏的索引
     */
    set index(value: number);
    get index(): number;
    get width(): string;
    get height(): string;
    touchAction: string;
    transform: string;
    private get childrenCount();
    private get stepDistance();
    private max;
    private get min();
    private distance;
    private slidingEvent$;
    private slidingEventSource;
    private subs;
    private element;
    private animationId;
    private _index;
    private oldDistance;
    constructor(scale: number, elementRef: ElementRef);
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    drag(event: PanEvent): void;
    setStyle(): void;
    private autoUpdateStyle;
}
