import { OnInit, OnDestroy, ElementRef, Renderer2, QueryList } from '@angular/core';
import { ImageViewerController, ImageViewItem } from '../image-viewer-controller';
import { PanEvent, PinchEvent } from '../../touch/index';
export interface ImageViewProp extends ImageViewItem {
    styles?: {
        [key: string]: string | number;
    };
    defaultStyles?: {
        [key: string]: number;
    };
}
export declare class ImageViewerComponent implements OnDestroy, OnInit {
    private imageViewerService;
    private renderer2;
    private elementRef;
    imgElements: QueryList<ElementRef<HTMLImageElement>>;
    isShow: boolean;
    bgColor: string;
    get transition(): "none" | "";
    isShowSlide: boolean;
    images: ImageViewProp[];
    viewIndex: number;
    opacity: number;
    private subs;
    constructor(imageViewerService: ImageViewerController, renderer2: Renderer2, elementRef: ElementRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    click(): void;
    pinch(ev: PinchEvent, imageView: ImageViewProp): void;
    drag(ev: PanEvent, imageView: ImageViewProp): void;
    setViewIndex(index: number): void;
    private findIndex;
    private setupInitStyles;
}
